public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Louis Sautier" <sbraz@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/
Date: Sat,  7 Mar 2020 14:11:04 +0000 (UTC)	[thread overview]
Message-ID: <1583590255.0b2eb2818105e6258f7212ce6f2c473734af2809.sbraz@gentoo> (raw)

commit:     0b2eb2818105e6258f7212ce6f2c473734af2809
Author:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
AuthorDate: Sat Mar  7 14:08:14 2020 +0000
Commit:     Louis Sautier <sbraz <AT> gentoo <DOT> org>
CommitDate: Sat Mar  7 14:10:55 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b2eb281

dev-python/MechanicalSoup: bump to 0.12.0, add Py3.7, Py3.8, PyPy3

Package-Manager: Portage-2.3.92, Repoman-2.3.20
Signed-off-by: Louis Sautier <sbraz <AT> gentoo.org>

 dev-python/MechanicalSoup/Manifest                 |  1 +
 .../MechanicalSoup/MechanicalSoup-0.12.0.ebuild    | 56 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

diff --git a/dev-python/MechanicalSoup/Manifest b/dev-python/MechanicalSoup/Manifest
index ebaa6abdf56..f8fb93842e7 100644
--- a/dev-python/MechanicalSoup/Manifest
+++ b/dev-python/MechanicalSoup/Manifest
@@ -1,2 +1,3 @@
 DIST MechanicalSoup-0.10.0.tar.gz 40111 BLAKE2B cbb09253666850d3ce433f60ed6405585588e6dc7198c58de1cab8ecfad1e1c814433787aefe33dbb490edab5367ffca285d14cf8fbcb2c16e309b957a3a311b SHA512 5fa493abac39c5084dacb67b9dfaa2f8f5af773d3e3aaff48e6240596e863ada30a2fd1e345188c3249fd6e570977aa45b9fd553fe5a549f8430f170613bb866
+DIST MechanicalSoup-0.12.0.tar.gz 44505 BLAKE2B 7c303f7ae4dea12157d5c845a4dcdc6923e76d3565debd88d2f43e2cfc29a503feb6accb969839a39b1c4071b029f53908a12902a5c4f175f0383da227224c55 SHA512 6cce80ea5a90e7f19f2b13749f6ee48222d973af66cb350ac867a554580b0d619defe5a93741e6ec8aa808c585a8c01703158c7484521ac069977388de8bb7e3
 DIST MechanicalSoup-0.6.0.zip 5286 BLAKE2B 93a1d124cd45820e425fcb50b2aec04026f7a6f42c7c3f5c93103fbd216c98e36f366a1f7f343dd5561688ac4adb6feacab08ae444f91156348c07a80710a306 SHA512 cc413723514f3beee1267c57c16f6de2c19eb1f64535a60b546d289c7c18d8c4ba752ea61ab0b4a2aead2b56b12639cd226cb32662622515cb40262b7e619c24

diff --git a/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
new file mode 100644
index 00000000000..14b661fd659
--- /dev/null
+++ b/dev-python/MechanicalSoup/MechanicalSoup-0.12.0.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6,7,8} )
+
+inherit distutils-r1
+
+DESCRIPTION="A python library for automating interaction with websites"
+HOMEPAGE="https://pypi.org/project/MechanicalSoup/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+	>=dev-python/beautifulsoup-4.0[${PYTHON_USEDEP}]
+	>=dev-python/requests-2.0[${PYTHON_USEDEP}]
+	>=dev-python/six-1.4[${PYTHON_USEDEP}]
+	dev-python/lxml[${PYTHON_USEDEP}]
+"
+BDEPEND="
+	test? (
+		${RDEPEND}
+		>=dev-python/requests-mock-1.3.0[${PYTHON_USEDEP}]
+		dev-python/pytest[${PYTHON_USEDEP}]
+		dev-python/pytest-httpbin[${PYTHON_USEDEP}]
+		dev-python/pytest-mock[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_sphinx docs
+
+python_prepare_all() {
+	# We don't need pytest-runner to run tests via pytest
+	sed -i "s/'pytest-runner'//" setup.py || die
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	# Override pytest options to skip coverage and flake8
+	pytest -vv --override-ini="addopts=" \
+		|| die "tests failed with ${EPYTHON}"
+}
+
+python_install_all() {
+	if use examples; then
+		docompress -x "/usr/share/doc/${PF}/examples"
+		dodoc -r examples
+	fi
+	distutils-r1_python_install_all
+}


             reply	other threads:[~2020-03-07 14:11 UTC|newest]

Thread overview: 23+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-07 14:11 Louis Sautier [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-14 15:55 [gentoo-commits] repo/gentoo:master commit in: dev-python/MechanicalSoup/ Michał Górny
2023-07-28 14:05 Michał Górny
2023-07-05  6:19 Michał Górny
2023-07-05  6:19 Michał Górny
2022-11-14  4:44 Michał Górny
2022-09-22 10:29 Michał Górny
2022-06-17  6:40 Arthur Zamarin
2022-06-17  6:40 Arthur Zamarin
2021-10-17  7:24 Michał Górny
2021-08-07 12:36 Louis Sautier
2021-08-07 12:34 Louis Sautier
2021-05-30  8:14 Michał Górny
2021-01-05 22:05 Michał Górny
2020-10-21 19:21 Louis Sautier
2020-03-27 21:25 Michał Górny
2020-03-07 14:11 Louis Sautier
2018-06-27 20:51 Louis Sautier
2018-06-27 20:51 Louis Sautier
2017-07-30  9:15 Michał Górny
2017-05-12 12:06 Manuel Rüger
2017-05-11 13:17 Manuel Rüger
2017-01-06  0:12 William Hubbs

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583590255.0b2eb2818105e6258f7212ce6f2c473734af2809.sbraz@gentoo \
    --to=sbraz@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox